Subject: Re: Leaded steel

From: [email-masked] (RickS94477)
Date: 5 Oct 1995 21:47:17 -0400

I use leaded metal too and considered using it for a project to be used by
the local children's museum.  I called the local health department and
they looked into the risks.  Their conclusion was that the risk due to
handling the metal was essentially zero.  However, if you are sanding it
and generate lead dust, then I would be carefull.  In that state it is
like the lead dust from lead based paint which I know is dangerous.  
If you asked your local health department maybe they can give more
details.
Rick Sparber
[email-masked]